osso-gwconnect (1.0.12) unstable; urgency=low

  * Remove offline mode stuff (as this is taken care of by the UI) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 13 Aug 2007 14:38:16 +0300

osso-gwconnect (1.0.11) unstable; urgency=low

  * Delay start of btcond. Fixes: NB#60079 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 19 Jun 2007 10:54:17 +0300

osso-gwconnect (1.0.10) unstable; urgency=low

  * Add "HSP" (headset role) identifier to btsdp
  * Don't call dbus_connection_close for shared connections.
  * src/devlist.c: avoid shadowing global "clock" variable.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 19 Apr 2007 14:38:34 +0300

osso-gwconnect (1.0.9) unstable; urgency=low

  * Fix rfcomm_status parameter order on disconnect. Fixes: NB#53642

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 30 Mar 2007 16:10:16 +0300

osso-gwconnect (1.0.8) unstable; urgency=low

  * Fix usage of a potentially uninitialized variable. Fixes: NB#50494 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  9 Jan 2007 11:50:01 +0200

osso-gwconnect (1.0.7) unstable; urgency=low

  * Use SS + SA requests instead of SSA in SDP. Fixes: NB#50315 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 22 Dec 2006 14:00:29 +0200

osso-gwconnect (1.0.6) unstable; urgency=low

  * Ignore normal->normal and flight->flight mode transitions. Fixes: NB#49368

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 13 Dec 2006 11:14:28 +0200

osso-gwconnect (1.0.5) unstable; urgency=low

  * Restore correct device mode (UP/DOWN) on return to normal mode 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 17 Nov 2006 11:58:39 +0200

osso-gwconnect (1.0.4) unstable; urgency=low

  * Repackaged to get rid of debian/.svn 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  6 Nov 2006 10:43:53 +0200

osso-gwconnect (1.0.3) unstable; urgency=low

  * Get rid of (valid) compiler warnings. Fixes NB#45892

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 30 Oct 2006 11:21:59 +0200

osso-gwconnect (1.0.2) unstable; urgency=low

  * Fix /etc/osso_software_version parsing 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 26 Sep 2006 16:07:47 +0300

osso-gwconnect (1.0.1) unstable; urgency=low

  * Do UTF-8 validation of found device names. Fixes: NB#40824

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 20 Sep 2006 00:29:24 +0300

osso-gwconnect (1.0) unstable; urgency=low

  * Detect HCI_DEVDOWN events. Fixes: NB#33650

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 16 Aug 2006 14:03:04 +0300

osso-gwconnect (0.99.1) unstable; urgency=low

  * Updated libbluetooth1 dependency to libbluetooth2

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 27 Jul 2006 13:26:54 +0300

osso-gwconnect (0.99) unstable; urgency=low

  * Fix segfault when hci0 is not present 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 24 Jul 2006 13:46:40 +0300

osso-gwconnect (0.98.2) unstable; urgency=low

  * Check cover state when ignore_cover(FALSE) is called 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  1 Jun 2006 11:13:20 +0300

osso-gwconnect (0.98.1) unstable; urgency=low

  * Update copyright and license disclamers 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 26 May 2006 11:12:26 +0300

osso-gwconnect (0.98) unstable; urgency=low

  * Detect OSSO SW version and react to HW events acordingly (fixes bug #28505)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  4 May 2006 13:50:39 +0300

osso-gwconnect (0.97.3) unstable; urgency=low

  * Use dsmetool only if it's present in the filesystem
  * Move dsme from depends to recommends 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  3 May 2006 18:14:22 +0300

osso-gwconnect (0.97.2) unstable; urgency=low

  * Remove incorrect assert in mode_change() (fixes bug #28008)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 27 Apr 2006 12:14:57 +0300

osso-gwconnect (0.97.1) unstable; urgency=low

  * Change osso-gwconnect-dev architecture to all (fixes bug #26115)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 10 Apr 2006 16:23:05 +0300

osso-gwconnect (0.97) unstable; urgency=low

  * Monitor inactivity events (fixes bug #25800)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 10 Apr 2006 11:37:19 +0300

osso-gwconnect (0.96.1) unstable; urgency=low

  * Update README 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  6 Apr 2006 11:46:29 +0300

osso-gwconnect (0.96) unstable; urgency=low

  * Code cleanup
  * Some memory leak fixes
  * Add "HID" to detected service strings
  * Expose also L2CAP-only services through get_capability method 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  5 Apr 2006 18:38:03 +0300

osso-gwconnect (0.95.4) unstable; urgency=low

  * gpio-switch -> gpio_swith for ke-recv protective cover object path 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  7 Mar 2006 11:38:42 -0300

osso-gwconnect (0.95.3) unstable; urgency=low

  * Fix return value of cover_filter() when ignore_cover_events
    is TRUE (fixes bug #23688).

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  7 Mar 2006 10:53:14 -0300

osso-gwconnect (0.95.2) unstable; urgency=low

  * Really remove gconf dependency (from configure.ac and src/Makefile.am)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  3 Jan 2006 17:02:43 +0200

osso-gwconnect (0.95.1) unstable; urgency=low

  * Updated to work with dbus-0.60

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 23 Dec 2005 13:40:20 +0200

osso-gwconnect (0.95) unstable; urgency=low

  * GConf support removed (preferred device must be known by caller) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 21 Dec 2005 11:23:50 +0200

osso-gwconnect (0.94) unstable; urgency=low

  * btcond: new ignore_cover method

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 13 Dec 2005 12:09:08 +0200

osso-gwconnect (0.93.2) unstable; urgency=low

  * Move calling remove_name_listener to free_rfcomm_dev 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 28 Nov 2005 17:50:45 +0200

osso-gwconnect (0.93.1) unstable; urgency=low

  * Use better D-BUS client lifetime tracing in btsearch
  * call remove_name_listener on rfcomm_disconnect 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 28 Nov 2005 17:33:48 +0200

osso-gwconnect (0.93) unstable; urgency=low

  * Fix name exit detection
  * btsdp reply parsing fixes 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 24 Nov 2005 11:34:49 +0200

osso-gwconnect (0.92) unstable; urgency=low

  * More cleanup
  * Support for TTL information in SDP data 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 23 Nov 2005 13:07:13 +0200

osso-gwconnect (0.91) unstable; urgency=low

  * Reworked btsdp interface

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 18 Nov 2005 17:48:12 +0200

osso-gwconnect (0.90.3) unstable; urgency=low

  * Move bluez-utils from depends to recommends
  * Cleanup 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 17 Nov 2005 17:37:50 +0200

osso-gwconnect (0.90.2) unstable; urgency=low

  * Fix parsing of btsdp reply
  * Added dependency to dbus package

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 16 Nov 2005 18:18:12 +0200

osso-gwconnect (0.90.1) unstable; urgency=low

  * Move mce from depends to recommends

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 16 Nov 2005 15:01:47 +0200

osso-gwconnect (0.90) unstable; urgency=low

  * First attempt at supporting new D-BUS versions
  * Remove bttools dependency 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 16 Nov 2005 12:48:46 +0200

osso-gwconnect (0.81.4) unstable; urgency=low

  * Always do SDP for all operations 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 26 Oct 2005 20:42:54 +0300

osso-gwconnect (0.81.3) unstable; urgency=low

  * Always perform SDP for get_dev_capability 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 25 Oct 2005 11:52:15 +0300

osso-gwconnect (0.81.2) unstable; urgency=low

  * Updated README 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 13 Oct 2005 13:26:50 +0300

osso-gwconnect (0.81.1) unstable; urgency=low

  * Removed some "sensitive" words from changelog.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 10 Oct 2005 13:34:41 +0300

osso-gwconnect (0.81) unstable; urgency=low

  * Added rfcomm_cancel_connect method call

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  6 Oct 2005 17:07:29 +0300

osso-gwconnect (0.80.5) unstable; urgency=low

  * Compilation fix for shadowing variable name in monitor_cb() 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  3 Oct 2005 23:24:35 +0300

osso-gwconnect (0.80.4) unstable; urgency=low

  * Detect D-BUS service exit during rfcomm connect phase 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  3 Oct 2005 19:22:59 +0300

osso-gwconnect (0.80.3) unstable; urgency=low

  * Segfault fix for failing btpair. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 30 Sep 2005 13:44:02 +0300

osso-gwconnect (0.80.2) unstable; urgency=low

  * Updated README 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 21 Sep 2005 14:38:49 +0300

osso-gwconnect (0.80.1) unstable; urgency=low

  * Add --enable-buggydbus option and set D-BUS service flags acordingly 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 16 Sep 2005 14:19:43 +0300

osso-gwconnect (0.80) unstable; urgency=low

  * Map btpair "auth failed" error to btcond "auth failed" error.
  * Don't call dbus_shutdown() to get rid of warning from client library
  * Allow only root to own btcond service

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 15 Sep 2005 14:13:11 +0300

osso-gwconnect (0.79.2) unstable; urgency=low

  * K20btcond -> K15btcond in runlevel 5 (because of D-BUS unregistering bug)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 29 Aug 2005 16:37:27 +0300

osso-gwconnect (0.79.1) unstable; urgency=low

  * Empty connections list when going to flight mode.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 29 Aug 2005 13:08:48 +0300

osso-gwconnect (0.79) unstable; urgency=low

  * Allow different services on the same channel (e.g. Siemens SK65 has this)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 24 Aug 2005 17:31:27 +0300

osso-gwconnect (0.78.1) unstable; urgency=low

  * Use static memory for receiving HCI events.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 23 Aug 2005 11:27:14 +0300

osso-gwconnect (0.78) unstable; urgency=low

  * Call hci_bt_down() before exiting
  * Reset BT chip instead of exiting on HW error
  * Added hci_dev_(up|down) signals

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 22 Aug 2005 16:45:06 +0300

osso-gwconnect (0.77.1) unstable; urgency=low

  * Don't call bt_disconnect() twice on exit.
  * Detect service aquiring failure properly

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 17 Aug 2005 14:06:53 +0300

osso-gwconnect (0.77) unstable; urgency=low

  * More flexible SDP result handling:
      - Existing connections aren't disconnected unnecessarily when SDP
        query result arrives.
      - btcond will do new SDP query if a service is queried for which
        wasn't found in the previous query.
  * Code cleanup
  * Log exact error code of BT HW Error HCI event 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  9 Aug 2005 17:53:19 +0300

osso-gwconnect (0.76) unstable; urgency=low

  * Check for 32 bit UUID's in sdp-query (fixes #12127).
  * Don't try to enable encryption by default.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  2 Aug 2005 10:50:11 +0300

osso-gwconnect (0.75.1) unstable; urgency=low

  * Only wake up on other ke-recv cover_state change event

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  1 Jul 2005 11:54:31 +0300

osso-gwconnect (0.75) unstable; urgency=low

  * Proper explicit RFCOMM channel support
  * Added rfcomm_bind and rfcomm_release method calls (get_rfcomm_dev is gone)
  * Remove USE_BT12 since its not used anywhere.
  * Use btpair D-BUS interface instead of command line

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 23 Jun 2005 15:47:24 +0300

osso-gwconnect (0.74) unstable; urgency=low

  * Use BlueZ's own RFCOMM device node bookkeeping functionality
  * Partial support for specifying RFCOMM channel directly (bypass SDP)
  * Send cancel remote name request in btsearch if necessary 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 21 Jun 2005 11:53:18 +0300

osso-gwconnect (0.73.1) unstable; urgency=low

  * Remove --enable-pinagent from debian/rules (the option has been removed)
  * Make GConfClient static (call gconf_client_get_default only once). 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 13 Jun 2005 16:35:22 +0300

osso-gwconnect (0.73) unstable; urgency=low

  * Don't use selected list anymore, accept any BDA.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 13 Jun 2005 13:23:38 +0300

osso-gwconnect (0.72.1) unstable; urgency=low

  * Make btcond use new btsdp D-BUS API

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 24 May 2005 13:12:15 +0300

osso-gwconnect (0.72) unstable; urgency=low

  * Enhanced btsdp functionality (specific service search)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 24 May 2005 11:42:51 +0300

osso-gwconnect (0.71) unstable; urgency=low

  * Memory handling fixes (leaks & accessing free'd memory)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 20 May 2005 16:58:45 +0300

osso-gwconnect (0.70.2) unstable; urgency=low

  * Properly disconnect RFCOMM device on error or HUP. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 16 May 2005 22:37:33 +0300

osso-gwconnect (0.70.1) unstable; urgency=low

  * Run "btname -r" after HCIDEVUP (hcid resets to name to match hcid.conf)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  9 May 2005 09:40:04 +0300

osso-gwconnect (0.70) unstable; urgency=low

  * Use HCIDEVUP & HCIDEVDOWN for normal<->flight mode changes
  * React to cover open/closed states (disable BT in cover closed) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  6 May 2005 12:37:32 +0300

osso-gwconnect (0.69) unstable; urgency=low

  * Increased btsdp D-BUS timeout to 22s (pageto is 20.48s)
  * Use btpair (from osso-bttools) for authentication and encryption 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  2 May 2005 15:21:34 +0300

osso-gwconnect (0.68.1) unstable; urgency=low

  * Fix two GError initializations (could cause crash)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 25 Apr 2005 10:23:42 +0300

osso-gwconnect (0.68) unstable; urgency=low

  * Code cleanup

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 22 Apr 2005 14:30:16 +0300

osso-gwconnect (0.67) unstable; urgency=low

  * Added checking of encryption key length
  * Cleaner internal error handling
  * configure.ac: check for osso-log.h if ossolog is enabled

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 14 Apr 2005 23:25:42 +0300

osso-gwconnect (0.66) unstable; urgency=low

  * Use L2CAP UUID for SDP if PublicBrowseGroup finds 0 services
  * Use dsmetool for launching btcond
  * Removed boolean argument from update_dev_info method return. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  6 Apr 2005 16:20:00 +0300

osso-gwconnect (0.65) unstable; urgency=low

  * Remove unecessary auth disable in btcond.init
  * Make osso-gwconnect-dev arch specific because of pkg-config file
  * Added update_dev_info method call
  * Add --syslog (or -l) switch to btcond 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  4 Apr 2005 14:55:08 +0300

osso-gwconnect (0.64) unstable; urgency=low

  * Remove invalid g_io_channel_unref (could cause crash)
  * Only generate rfcomm filename once when waiting for open to succeed 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 31 Mar 2005 14:55:10 +0300

osso-gwconnect (0.63) unstable; urgency=low

  * Get rid of gthread dependency (use non-blocking socket for connecting)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 29 Mar 2005 11:49:16 +0300

osso-gwconnect (0.62) unstable; urgency=low

  * Add rfcomm_status method call
  * Remove rfcomm-dev GSource ID on disconnect
  * Remove extra HCI-commands from btcond init script (moved to osso-btpatch)
  * Remove unnecessary pre-depends on sudo  

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 23 Mar 2005 09:26:15 +0200

osso-gwconnect (0.61) unstable; urgency=low

  * Really add enc, auth & role-switch (forgotten from last version)
  * Accept "/dev/rfcommN" as rfcomm_disconnect parameter
  * call dbus_connection_disconnect before dbus_connection_unref

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 18 Mar 2005 23:49:34 +0200

osso-gwconnect (0.60) unstable; urgency=low

  * Use g_log (and related macros) instead of g_print & g_printerr
  * Update GLib version requirement to 2.6.0 in configure.ac
  * Use libbluetooth for rfcomm device node creation instead of rfcomm tool
  * New rfcomm_connect and rfcomm_disconnect method calls
  * New rfcomm_status D-BUS signal
  * Set encryption, authentication and role-switch for rfcomm connections
  * Updated README
  * Don't use -Werror when compiling (some problems with gcc 3.4) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 18 Mar 2005 16:24:09 +0200

osso-gwconnect (0.59) unstable; urgency=low

  * Print clock offset in btserch debug output
  * Send correct flight mode error from btsdp 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 22 Feb 2005 11:09:31 +0200

osso-gwconnect (0.58) unstable; urgency=low

  * Yet another fix to the BT-WLAN hci command (from Ville)
  * Renamed BTCOND_GET_BTDEV_LIST to BTCOND_GET_BDA_LIST 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 11 Feb 2005 09:18:08 +0200

osso-gwconnect (0.57) unstable; urgency=low

  * Added debug print for all auth_complete events
  * Fixed BT-WLAN HCI command (according to Ville Tervo's feedback)
  * Fix D-BUS 0.23 support 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  9 Feb 2005 14:26:32 +0200

osso-gwconnect (0.56) unstable; urgency=low

  * Added auth_failed signal

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 28 Jan 2005 18:56:17 +0200

osso-gwconnect (0.55) unstable; urgency=low

  * Disable auth in init script since hcid is not doing it 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 28 Jan 2005 13:21:27 +0200

osso-gwconnect (0.54) unstable; urgency=low

  * Redirect output BT-WLAN HCI command also to /dev/null 
  * Send second "reason" parameter in connection status signal (only used for
    disconnect events at the moment)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 27 Jan 2005 10:07:26 +0200

osso-gwconnect (0.53) unstable; urgency=low

  * Added BT-WLAN handshake HCI command to btcond init script
  * Send SIGUP to dbus-daemon instead of restarting it in postinst 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 26 Jan 2005 13:34:15 +0200

osso-gwconnect (0.52) unstable; urgency=low

  * Support for ServiceOwnerChanged signal (D-BUS 0.23)
  * Enabled MCE support (flight mode information)
  * Use SAP_SVCLASS_ID from bluez-libs 2.11 instead of our own define
  * Added -p switch to disable PinAgent service check 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 18 Jan 2005 17:27:03 +0200

osso-gwconnect (0.51) unstable; urgency=low

  * Preliminary support for device mode information from MCE
     - This is enabled with --enable-mce configure option
     - But it is disabled by default in this release because I couldn't get a
       mce-dev package from DSM in time.
  * Fix typo of "prefered" in bt-dbus.h (backwards compatibility is still
    maintained for this release, probably not next).

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 14 Jan 2005 14:57:53 +0200

osso-gwconnect (0.50) unstable; urgency=low

  * Make PinAgent service waiting optional (compile-time option)
  * Proper packaging (remove debian/.svn directory) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  4 Jan 2005 08:37:39 +0200

osso-gwconnect (0.49) unstable; urgency=low

  * Support for prefered BDA
  * Track all connections (even if BDA is not in selected list)
  * Wait for PinAgent service before reading info from GConf 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 23 Dec 2004 12:36:37 +0200

osso-gwconnect (0.48) unstable; urgency=low

  * Yet another fix for the init script. Let's hope it's the last!

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  9 Dec 2004 16:08:29 +0200

osso-gwconnect (0.47) unstable; urgency=low

  * Fix bug in init script introduced by previous change

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  1 Dec 2004 09:46:14 +0200

osso-gwconnect (0.46) unstable; urgency=low

  * Move setting inquiry mode from btsearch to btcond init script since it
    seems to require root privileges. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 30 Nov 2004 08:57:24 +0200

osso-gwconnect (0.45) unstable; urgency=low

  * Fix inquiry_info for non-RSSI case 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 29 Nov 2004 17:49:26 +0200

osso-gwconnect (0.44) unstable; urgency=low

  * Assume raw mode for anything which is not DUN
  * Further updates to README
  * Fix missing BLUEZ_CFLAGS
  * Include aclocal/ in dist

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 25 Nov 2004 17:49:29 +0200

osso-gwconnect (0.43) unstable; urgency=low

  * Added support for detecting OBEX Object Push Profile (OOP)
  * Updated README 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 17 Nov 2004 18:26:14 +0200

osso-gwconnect (0.42) unstable; urgency=low

  * Included bt-cod.h
  * Updated README
  * Added pkg-config dependency to osso-gwconnect-dev

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 11 Nov 2004 10:24:52 +0200

osso-gwconnect (0.41) unstable; urgency=low

  * Misc. cleanup
  * Don't detect SPP (it's not needed) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  1 Nov 2004 15:49:34 +0200

osso-gwconnect (0.40) unstable; urgency=low

  * Fixed a couple of typos in bt-gconf.h

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 29 Oct 2004 14:13:37 +0300

osso-gwconnect (0.39) unstable; urgency=low

  * Added device icon macro to bt-gconf.h

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 29 Oct 2004 13:13:46 +0300

osso-gwconnect (0.38) unstable; urgency=low

  * Added gnome-bluetooth compatible variables to bt-gconf.h
  * Added libglib2.0-dev dependency because bt-gconf.h needs glib.h 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 27 Oct 2004 13:18:28 +0300

osso-gwconnect (0.37) unstable; urgency=low

  * Initialize cfg (in btcond.c) before using it. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 18 Oct 2004 15:30:44 +0300

osso-gwconnect (0.36) unstable; urgency=low

  * Make BT 1.2 support optional with --enable-bt12
  * Remove double conffiles
  * Added manpages for the binaries 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 15 Oct 2004 11:18:11 +0300

osso-gwconnect (0.35) unstable; urgency=low

  * Removed "bt_disabled" reply parameter from connection_status method call
  * Fixed typos in btsdp and btsearch D-BUS object paths (bt-dbus.h)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 30 Sep 2004 10:25:46 +0300

osso-gwconnect (0.34) unstable; urgency=low

  * Added pkgconfig support (patch from Imendio) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 21 Sep 2004 15:22:43 +0300

osso-gwconnect (0.33) unstable; urgency=low

  * Use raw mode for SAP RFCOMM dev node
  * Don't use stty for setting raw mode (avoids extra connect). This should
    be done from an application when it really wants to use the device 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 15 Sep 2004 16:35:06 +0300

osso-gwconnect (0.32) unstable; urgency=low

  * Removed coreutils dependency according to debian policy
  * Renamed "invalid" error to "invalid_svc"
  * Added "invalid_dev" error. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 14 Sep 2004 14:55:16 +0300

osso-gwconnect (0.31) unstable; urgency=low

  * Fix for gconf.h (it tried to include old gw-gconf.h) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 10 Sep 2004 13:12:53 +0300

osso-gwconnect (0.30) unstable; urgency=low

  * Renamed public header files to bt-dbus.h and bt-gconf.h 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 10 Sep 2004 09:36:04 +0300

osso-gwconnect (0.29) unstable; urgency=low

  * Doxygen configuration fixes
  * Further naming updates (mainly to comments in the code)
  * Small fix in test mode of btsearch
  * Fix for connection_status reply 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  9 Sep 2004 18:04:04 +0300

osso-gwconnect (0.28) unstable; urgency=low

  * Naming updates (mostly gw -> bt or dev)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  9 Sep 2004 16:50:03 +0300

osso-gwconnect (0.27) unstable; urgency=low

  * Fixed D-BUS replies when GW is not selected 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  3 Sep 2004 13:39:29 +0300

osso-gwconnect (0.26) unstable; urgency=low

  * Fix for the previous fix :-)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  3 Sep 2004 12:50:11 +0300

osso-gwconnect (0.25) unstable; urgency=low

  * Fixes for gw_cap reply from Richard Hult <richard@imendio.com> 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 31 Aug 2004 10:11:28 +0300

osso-gwconnect (0.24) unstable; urgency=low

  * Updated for D-BUS 0.22 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 19 Aug 2004 10:43:04 +0300

osso-gwconnect (0.23) unstable; urgency=low

  * Event handling fix 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 19 Aug 2004 10:42:18 +0300

osso-gwconnect (0.22) unstable; urgency=low

  * Another GConf fix 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 18 Aug 2004 15:29:31 +0300

osso-gwconnect (0.21) unstable; urgency=low

  * GConf fix 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 18 Aug 2004 15:16:12 +0300

osso-gwconnect (0.20) unstable; urgency=low

  * More fixes and cleanup 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 17 Aug 2004 17:32:14 +0300

osso-gwconnect (0.19) unstable; urgency=low

  * Changed get_gw_capability return parameter to string list 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 17 Aug 2004 14:41:50 +0300

osso-gwconnect (0.18) unstable; urgency=low

  * Fixes regarding multiple gw support
  * Removed debian version from package version to conform with policy
  * Removed gw_is_connectable method call from gwcond 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 17 Aug 2004 11:53:27 +0300

osso-gwconnect (0.17-1) unstable; urgency=low

  * Further updates for muiltiple gw support
  * Fixed schema file

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 13 Aug 2004 14:02:41 +0300

osso-gwconnect (0.16-1) unstable; urgency=low

  * Changes towars support for multiple selected gw's
  * Fixed a couple of segfaults introduced by changes in 0.15

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 13 Aug 2004 13:46:09 +0300

osso-gwconnect (0.15-1) unstable; urgency=low

  * Changes in gconf stuff 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 12 Aug 2004 15:53:01 +0300

osso-gwconnect (0.14-1) unstable; urgency=low

  * Removed inquiry scan type command from gwsearch (does not have any effect
    for us)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  6 Aug 2004 11:00:14 +0300

osso-gwconnect (0.13-3) unstable; urgency=low

  * Typo fix for the previous postinst fix 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  3 Aug 2004 11:06:40 +0300

osso-gwconnect (0.13-2) unstable; urgency=low

  * Restart bluez-utils in postinst (restarting dbus kills it) 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  3 Aug 2004 10:55:20 +0300

osso-gwconnect (0.13-1) unstable; urgency=low

  * Fixed D-BUS configuration files

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  3 Aug 2004 10:24:12 +0300

osso-gwconnect (0.12-1) unstable; urgency=low

  * Added --enable-ossolog (enabled when building debian package)
  * Fixed src/Makefile.am to always use -DDBUS_API_SUBJECT_TO_CHANGE 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 28 Jul 2004 13:36:53 +0300

osso-gwconnect (0.11-2) unstable; urgency=low

  * Remove "set -e" from prerm 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 27 Jul 2004 10:39:36 +0300

osso-gwconnect (0.11-1) unstable; urgency=low

  * Optimized gwsearch, integrated gw-inquiry.
  * Removed dependency on psmisc
  * gwcond checks for running hcid before continuing
  * Use osso-log.h makros for syslog (solves #614)
  * added build-dependency on libosso-dev

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  9 Jul 2004 16:07:27 +0300

osso-gwconnect (0.10-5) unstable; urgency=low

  * Move sudo from depends to pre-depends 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 30 Jun 2004 15:11:28 +0300

osso-gwconnect (0.10-4) unstable; urgency=low

  * Disable sudo support and run as root

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 29 Jun 2004 16:31:53 +0300

osso-gwconnect (0.10-3) unstable; urgency=low

  * Added "update-rc.d gwcond remove" to postinst so debhelper works correctly

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 29 Jun 2004 13:15:52 +0300

osso-gwconnect (0.10-2) unstable; urgency=low

  * Correct runlevels and startup order 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 29 Jun 2004 12:03:58 +0300

osso-gwconnect (0.10-1) unstable; urgency=low

  * Created osso-gwconnect-dev package with gw-dbus.h and gw-gconf.h

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 28 Jun 2004 14:14:57 +0300

osso-gwconnect (0.9-1) unstable; urgency=low

  * Assume unset BDA if 00:00:00:00:00:00 is given from the command line
  * Added dependency to psmisc to ensure that we have killall
  * Enabled starting of gwcond for default runlevels
  * Added warning to preinst if user account is not found 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 24 Jun 2004 12:52:36 +0300

osso-gwconnect (0.8-1) unstable; urgency=low

  * Added Sim Access Profile detection for gwsdp and gwcond
  * Fixed init script 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 21 Jun 2004 10:35:29 +0300

osso-gwconnect (0.7-1) unstable; urgency=low

  * Cleanup and fixes
  * Optimization of gw-inquiry
  * Migrated to automake & autoconf
  * Extracted sdp-query from gwsdp to acheive non-blocking behaviour.
    Added also a query_in_progress error to gwsdp 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 16 Jun 2004 10:16:49 +0300

osso-gwconnect (0.6-1) unstable; urgency=low

  * Cleanup and fixes in gwsearch 
  * Proper support for inquiry result with RSSI. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 10 Jun 2004 17:08:37 +0300

osso-gwconnect (0.5-1) unstable; urgency=low

  * Fixed reference to gw-inquiry in gwsearch

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  4 Jun 2004 11:06:51 +0300

osso-gwconnect (0.4-2) unstable; urgency=low

  * Fixed postinst script

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  2 Jun 2004 14:51:17 +0300

osso-gwconnect (0.4-1) unstable; urgency=low

  * Added postinst script which restarts dbus
  * Added connect_failed, link_key_ok and pin_req signals to gwcond 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 31 May 2004 16:03:52 +0300

osso-gwconnect (0.3-1) unstable; urgency=low

  * Fixed some memory leaks
  * get_gw_cap() and get_rfcomm_dev() will update gw info if necessary.
    This means that gw_is_connectable() is less usefull.
  * Use "osso" in GConf path. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 17 May 2004 10:20:06 +0300

osso-gwconnect (0.2-1) unstable; urgency=low

  * Support for Nokia FTP ("NFTP") added.
  * rfcomm sudo support for user account. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 13 May 2004 16:28:36 +0300

osso-gwconnect (0.1-2) unstable; urgency=low

  * Removed dependency for orbit 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 26 Apr 2004 12:32:19 +0300

osso-gwconnect (0.1-1) unstable; urgency=low

  * Initial Release. 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 22 Mar 2004 12:36:50 +0200

